<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Classwork</title>
</head>
<body>
      <header>
          <input id="MyDateSelector" type="date"/>
          <button id="ShowDayButton">Показать день недели</button>
      </header>
      <div id="result"></div>
      <script>

          /*
            Создайте функцию, которая по клику на "показать день недели" возвращает день недели для выбранной даты с интута.
            День нужно возвратить в div#result в текстовом формате т.е понедельник, вторник, суббота и т.д
          */

        let week = ['воскркесенье', 'Понедельник', 'вторник', 'среда', 'четверг', 'пятница', 'суббота'];
       

            let MyDateSelector = document.getElementById('MyDateSelector');
            let result = document.getElementById('result');
            let ShowDayButton = document.addEventListener('click' , function(){
                
                let date = new Date( MyDateSelector.value );
                let selectedDay =    date.getDay();
                
                selectedDay = week[selectedDay];
                result.innerHTML = selectedDay;
            });
           
             
                     

        
      </script>
</body>
</html>
